- Qt 6.5
- Qt GUI
- C++ Classes
- QCursor
- Qt 6.5.0 Reference Documentation

# Obsolete Members for QCursor

The following members of class QCursor are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` QBitmap | bitmap(Qt::ReturnByValueConstant) const
`(deprecated)` QBitmap | mask(Qt::ReturnByValueConstant) const

## Member Function Documentation

### QBitmap QCursor::bitmap(Qt::ReturnByValueConstant) const

This function is deprecated. We strongly advise against using it in new code.

Use the overload without argument instead.

Returns the cursor bitmap, or a null bitmap if it is one of the standard cursors.

Previously, Qt provided a version of `bitmap()` which returned the bitmap by-pointer. That version is now removed. To maintain compatibility with old code, this function was provided to differentiate between the by-pointer function and the by-value function.

### QBitmap QCursor::mask(Qt::ReturnByValueConstant) const

This function is deprecated. We strongly advise against using it in new code.

Use the overload without argument instead.

Returns the cursor bitmap mask, or a null bitmap if it is one of the standard cursors.

Previously, Qt provided a version of `mask()` which returned the bitmap by-pointer. That version is now removed. To maintain compatibility with old code, this function was provided to differentiate between the by-pointer function and the by-value function.